Bug 829707 - ice : Duplicate Provides and lots of duplicated files
ice : Duplicate Provides and lots of duplicated files
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ice (Show other bugs)
23
All Linux
low Severity low
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 07:17 EDT by Michael Schwendt
Modified: 2016-12-20 07:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:14:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2012-06-07 07:17:31 EDT
ice  from  ice
    provides libIceUtil.so.34
ice-devel  from  ice
    provides libIceUtil.so.34
    required by: gearbox-9.11-10.fc18.i686
    required by: ice-csharp-devel-3.4.2-14.fc18.i686
    required by: ice-java-devel-3.4.2-14.fc18.i686
    required by: ice-php-3.4.2-14.fc18.i686
    required by: ice-php-devel-3.4.2-14.fc18.i686
    required by: ice-python-3.4.2-14.fc18.i686
    required by: ice-python-devel-3.4.2-14.fc18.i686
    required by: ice-ruby-3.4.2-14.fc18.i686
    required by: ice-ruby-devel-3.4.2-14.fc18.i686

[semi-automated bug report]
Comment 1 Michael Schwendt 2012-06-07 07:18:11 EDT
ice  from  ice
    provides libSlice.so.34
ice-devel  from  ice
    provides libSlice.so.34
    required by: ice-csharp-devel-3.4.2-14.fc18.i686
    required by: ice-java-devel-3.4.2-14.fc18.i686
    required by: ice-php-3.4.2-14.fc18.i686
    required by: ice-php-devel-3.4.2-14.fc18.i686
    required by: ice-python-3.4.2-14.fc18.i686
    required by: ice-python-devel-3.4.2-14.fc18.i686
    required by: ice-ruby-3.4.2-14.fc18.i686
    required by: ice-ruby-devel-3.4.2-14.fc18.i686
Comment 2 Michael Schwendt 2012-06-07 07:18:24 EDT
ice  from  ice
    provides libIce.so.34
ice-devel  from  ice
    provides libIce.so.34
    required by: ice-php-3.4.2-14.fc18.i686
    required by: ice-python-3.4.2-14.fc18.i686
    required by: ice-ruby-3.4.2-14.fc18.i686
Comment 3 Fedora End Of Life 2013-04-03 14:41:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Michael Schwendt 2013-08-31 14:06:17 EDT
I was about to file a ticket about this when I noticed it's an old issue that has not been commented on.

"ice" and "ice-devel" are severely mispackaged. Just look how all the shared libs are copies of eachother. There are no symlinks at all. Even the -devel package contains copies, which results in the duplicate/conflicting Provides this tickets has reported:

$ rpmls -p ice-devel-3.5.0-4.fc20.x86_64.rpm |grep lib64
-rwxr-xr-x  /usr/lib64/libFreeze.so
-rwxr-xr-x  /usr/lib64/libGlacier2.so
-rwxr-xr-x  /usr/lib64/libIce.so
-rwxr-xr-x  /usr/lib64/libIceBox.so
-rwxr-xr-x  /usr/lib64/libIceDB.so
-rwxr-xr-x  /usr/lib64/libIceGrid.so
-rwxr-xr-x  /usr/lib64/libIceGridFreezeDB.so
-rwxr-xr-x  /usr/lib64/libIcePatch2.so
-rwxr-xr-x  /usr/lib64/libIceSSL.so
-rwxr-xr-x  /usr/lib64/libIceStorm.so
-rwxr-xr-x  /usr/lib64/libIceStormFreezeDB.so
-rwxr-xr-x  /usr/lib64/libIceStormService.so
-rwxr-xr-x  /usr/lib64/libIceUtil.so
-rwxr-xr-x  /usr/lib64/libIceXML.so
-rwxr-xr-x  /usr/lib64/libSlice.so

$ rpmls -p ice-3.5.0-4.fc20.x86_64.rpm |grep lib64
-rwxr-xr-x  /usr/lib64/libFreeze.so.3.5.0
-rwxr-xr-x  /usr/lib64/libFreeze.so.35
-rwxr-xr-x  /usr/lib64/libGlacier2.so.3.5.0
-rwxr-xr-x  /usr/lib64/libGlacier2.so.35
-rwxr-xr-x  /usr/lib64/libIce.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIce.so.35
-rwxr-xr-x  /usr/lib64/libIceBox.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIceBox.so.35
-rwxr-xr-x  /usr/lib64/libIceDB.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIceDB.so.35
-rwxr-xr-x  /usr/lib64/libIceGrid.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIceGrid.so.35
-rwxr-xr-x  /usr/lib64/libIceGridFreezeDB.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIceGridFreezeDB.so.35
-rwxr-xr-x  /usr/lib64/libIcePatch2.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIcePatch2.so.35
-rwxr-xr-x  /usr/lib64/libIceSSL.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIceSSL.so.35
-rwxr-xr-x  /usr/lib64/libIceStorm.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIceStorm.so.35
-rwxr-xr-x  /usr/lib64/libIceStormFreezeDB.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIceStormFreezeDB.so.35
-rwxr-xr-x  /usr/lib64/libIceStormService.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIceStormService.so.35
-rwxr-xr-x  /usr/lib64/libIceUtil.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIceUtil.so.35
-rwxr-xr-x  /usr/lib64/libIceXML.so.3.5.0
-rwxr-xr-x  /usr/lib64/libIceXML.so.35
-rwxr-xr-x  /usr/lib64/libSlice.so.3.5.0
-rwxr-xr-x  /usr/lib64/libSlice.so.35
Comment 5 Haïkel Guémar 2013-08-31 16:43:53 EDT
I'll orphan this package, Ice is very time-consuming (a lot of bundled bindings, a badly crafted build system and no public version control, etc ...).
Comment 6 Fedora Admin XMLRPC Client 2014-09-22 07:31:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Jan Kurik 2015-07-15 11:07:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Fedora End Of Life 2016-11-24 05:40:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 07:14:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.